Vendor Redemption Details by Redemption & Vendor ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API endpoint retrieves the details of a specific vendor redemption associated with a specific vendor and redemption ID. It allows brands to access information about the redemption status and related details.

Example request

curl --location 'https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/vendor/430/redemption/36987/brand/61' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic bWFkaHVfcmMjU2YQ==' \
--header 'Cookie: _cfuvid=vN5wfiWeYZXwnooleui8wohWfs.JTIrPyd1SjnuHz_4-1764227099805-0.0.1.1-604800000'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

API Specification

URI/api_gateway/rewards/core/v1/vendor/{vendorid}/redemption/{redemptionid}/brand/{brandid}
HTTP MethodGET
PaginationYes
Batch supportNo
Rate limit informationNone

Path parameters

ParameterTypeDescription
vendorIdLongThe unique identifier of the vendor.
redemptionIdLongThe unique identifier of the redemption.
brandIdLongThe unique identifier of the brand associated with the redemption.

Example response

{
    "status": {
        "success": true,
        "code": 5011,
        "message": "Vendor redemption fetched successfully"
    },
    "redemption": {
        "id": 36987,
        "name": "UAT Vendor Redemption 6",
        "enabled": true,
        "responseKeys": [
            "voucher"
        ],
        "lastUpdatedOn": 1764153001000,
        "lastUpdatedOnDateTime": "2025-11-26T10:30:01Z",
        "redemptionType": "INTOUCH_REWARD",
        "vendorId": 430,
        "vendorName": null,
        "createdBy": 75197372,
        "lastUpdatedBy": 75197372,
        "createdOn": 1764153001000,
        "createdOnDateTime": "2025-11-26T10:30:01Z",
        "redemptionActionList": [
            {
                "id": 27321,
                "name": "add good will points",
                "enabled": true,
                "apiType": "POST",
                "apiUrl": "https://crm-nightly-new.cc.capillarytech.com/v1.1/request/add?program_id=2851",
                "apiHeaders": {
                    "Authorization": "Basic bHVjaWF1dG9fdGlsbF8xMDoyMDJjYjk2MmFjNTkwNzViOTY0YjA3MTUyZDIzNGI3MA==",
                    "accept": "application/json",
                    "Content-Type": "application/json"
                },
                "apiBody": "{\"customFields_property\": {\"customField_1_property\": \"${customfield_CF1}\"}, \"transactionId_property\": \"${rewardTransactionId}\", \"fulfillmentStatus_property\": \"${fulfillmentStatus}\"}",
                "execOrder": 1,
                "contextKeys": {
                    "voucher": "response.requests.request.get(0).id"
                },
                "retryAction": false
            }
        ]
    }
}

Response parameters

Parameter NameData TypeDescription
statusObjectContains the status details of the vendor redemption.
-successBooleanIndicates if the request was successful.
-codeIntegerStatus code of the response.
-messageStringMessage describing the status of the response.
redemptionListArrayList of vendor redemptions.
-idLongUnique ID of the vendor redemption.
-nameStringName of the vendor redemption.
-enabledBooleanIndicates if the vendor redemption is enabled.
-responseKeysArrayA list of response keys expected from the vendor API.
-lastUpdatedOnLongIndicates the timestamp when the vendor redemption was updated. The timestamp is in Epoch time format.
-lastUpdatedOnDateTimeStringIndicates the date and time when the vendor redemption was updated, formatted in ISO 8601
-redemptionTypeStringType of redemption (e.g. MILES).
-vendorIdlongThe Unique identifier of the vendor whose information is being fetched.
-vendorNamestringThe unique name of the vendor.
-createdByLongThe unique identifier of the user who created the vendor redemption.
-lastUpdatedByLongThe unique identifier of the user who last updated the vendor redemption record.
-createdOnLongIndicates the timestamp when the vendor redemption was created. The timestamp is in Epoch time format.
-createdOnDateTimeStringIndicates the date and time when the vendor redemption was created, formatted in ISO 8601.
-redemptionActionListarrayList of vendor redemptions fetched in the response.
--idlongUnique ID of the vendor redemption.
--namestringName of the vendor redemption.
--enabledbooleanIndicates if the vendor redemption is enabled.
--apiTypestringThe HTTP method to be used for the API request.
--apiUrlstringThe URL to which the API request is made. For example, "apiUrl": "https://partial.com/reward/issue" specifies the endpoint where the request to issue a reward will be made.
--apiHeadersobjectAn object containing the headers to be sent with the API request.
---AuthorizationStringThe authorization header containing the authentication credentials.
---Content-TypeStringThe content type header indicating the format of the request body.
--apiBodyStringThe API body for the external API endpoint specified in apiUrl. You can also include custom fields, fulfillment status, and reward transaction ID. The fulfillment status and reward transaction ID are variables resolved in the backend according to the associated transaction.
Custom Field: Enables brands to add additional data in the API request. Use the format customfield_customFieldName. For example, a custom field named "Address: Bangalore" should be written as customfield_Address then it will replace the value of custom field with Bangalore. Note: Only custom fields created with ISSUE_REWARD scope are supported.
Fulfillment Status: Enables updating the fulfillment status. Use the parameter fulfillmentStatus, formatted in camelCase. Reward Transaction ID: Enables adding the reward transaction ID. This helps the vendor to identify the transaction associated with the issued reward. Use the parameter rewardTransactionId, formatted in camelCase. NOTE: The API body supports other parameters that can be included based on the brand's specific requirements or integration needs. Internal Capillary APIs can also be used.
--execOrderIntegerThe execution order of the action.
--contextKeysObjectAn object containing context keys for extracting values from the response.
--retryActionBooleanIndicates whether the action should be retried on failure (true/false).
actionCountIntegerNumber of actions configured for this redemption setup.
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json